---

#
# JSON Schema definition for `feature` prepare plugin
#
# https://tmt.readthedocs.io/en/stable/spec/plans.html#spec-plans-prepare-feature
#

$id: /schemas/prepare/feature
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - feature

  epel:
    type: string
    enum:
      - enabled
      - disabled

  crb:
    type: string
    enum:
      - enabled
      - disabled

  profile:
    type: string

  fips:
    type: string
    enum:
      - enabled
      - disabled

  name:
    type: string

  order:
    $ref: "/schemas/core#/definitions/order"

  where:
    $ref: "/schemas/common#/definitions/where"

  when:
    $ref: "/schemas/common#/definitions/when"

required:
  - how
